#pragma once

#include "./utils/vector.h"

namespace numerics{
	
	template <typename T>
	T vecarmax(const utils::Vector<T>& a){

		const uint64_t N = a.size();
		uint64_t idx = 0;
		T value;

		for (uint64_t i = 0; i < N; ++i){
			if (value > a[i]){
				value = a[i];
				idx = i;

			}
		}
		return idx;
	}


} // namespace numerics

